Retrieve a paginated list of knowledge base articles with optional filtering

Returns articles with support for filtering by collection and publication status.
Articles are returned in their creation order. Use this endpoint to browse your
knowledge base content or to build custom article listings.

You can filter by:

  • collection_id: Get articles from a specific collection
  • status: Filter by draft or published articles

The response includes basic article information (without the full body content).
Use the GET /articles/{article_id} endpoint to retrieve the complete article.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

Pagination cursor for fetching next page

integer

Number of items per page (1-100, default: 20)

integer

Filter by collection ID

string
enum

Filter by status: draft, published

Allowed:
Responses

401

Authentication required

404

Collection not found (when filtering by collection_id)

422

Validation error - invalid parameters

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json